package com.microservices.pms.productLibrary.service.impl;

import com.microservices.common.core.utils.DateUtils;
import com.microservices.common.security.utils.SecurityUtils;
import com.microservices.pms.productLibrary.domain.PmsProductlibJyrldLib;
import com.microservices.pms.productLibrary.mapper.PmsProductlibJyrldLibMapper;
import com.microservices.pms.productLibrary.service.IPmsProductlibJyrldLibService;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.PageRequest;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * (PmsProductlibJyrldLib)表服务实现类
 *
 * @author makejava
 * @since 2023-12-22 09:46:50
 */
@Service("pmsProductlibJyrldLibService")
public class PmsProductlibJyrldLibServiceImpl implements IPmsProductlibJyrldLibService {
    @Resource
    private PmsProductlibJyrldLibMapper pmsProductlibJyrldLibDao;

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    @Override
    public PmsProductlibJyrldLib queryById(Integer id) {
        return this.pmsProductlibJyrldLibDao.queryById(id);
    }

    @Override
    public PmsProductlibJyrldLib queryByName(String name) {
        return this.pmsProductlibJyrldLibDao.queryByName(name);
    }

    /**
     * 分页查询
     *
     * @param pmsProductlibJyrldLib 筛选条件
     * @param pageRequest           分页对象
     * @return 查询结果
     */
    @Override
    public Page<PmsProductlibJyrldLib> queryByPage(PmsProductlibJyrldLib pmsProductlibJyrldLib, PageRequest pageRequest) {
        long total = this.pmsProductlibJyrldLibDao.count(pmsProductlibJyrldLib);
        return new PageImpl<>(this.pmsProductlibJyrldLibDao.queryAllByLimit(pmsProductlibJyrldLib, pageRequest), pageRequest, total);
    }

    /**
     * 新增数据
     *
     * @param pmsProductlibJyrldLib 实例对象
     * @return 实例对象
     */
    @Override
    public PmsProductlibJyrldLib insert(PmsProductlibJyrldLib pmsProductlibJyrldLib) {
        pmsProductlibJyrldLib.setCreateTime(DateUtils.getNowDate());
        pmsProductlibJyrldLib.setCreateBy(SecurityUtils.getUsername());
        pmsProductlibJyrldLib.setUpdateTime(DateUtils.getNowDate());
        pmsProductlibJyrldLib.setUpdateBy(SecurityUtils.getUsername());
        this.pmsProductlibJyrldLibDao.insert(pmsProductlibJyrldLib);
        return pmsProductlibJyrldLib;
    }

    /**
     * 修改数据
     *
     * @param pmsProductlibJyrldLib 实例对象
     * @return 实例对象
     */
    @Override
    public PmsProductlibJyrldLib update(PmsProductlibJyrldLib pmsProductlibJyrldLib) {
        pmsProductlibJyrldLib.setUpdateTime(DateUtils.getNowDate());
        pmsProductlibJyrldLib.setUpdateBy(SecurityUtils.getUsername());
        this.pmsProductlibJyrldLibDao.update(pmsProductlibJyrldLib);
        return this.queryById(pmsProductlibJyrldLib.getId());
    }

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    @Override
    public boolean deleteById(Integer id) {
        return this.pmsProductlibJyrldLibDao.deleteById(id) > 0;
    }
}
